﻿using System.IO;
using System.Xml;
using System;
using System.Collections.Generic;
using System.Data.Linq;
using System.Linq;
using System.Text;

namespace NorthwindDataSource
{
	public class NorthwindData
	{
		public static Table<Customer> Customers
		{
			get
			{
				NorthwindDataContext db = new NorthwindDataContext();
				return db.Customers;
			}
		}
	}

	public class XmlTools
	{
		public static string FormatXML(XmlDocument doc)
		{
			// Create a stream buffer that can be read as a string
			using (StringWriter sw = new StringWriter())

			// Create a specialized writer for XML code
			using (XmlTextWriter xtw = new XmlTextWriter(sw))
			{
				// Set the writer to use indented (hierarchical) elements
				xtw.Formatting = System.Xml.Formatting.Indented;

				// Write the XML document to the stream
				doc.WriteTo(xtw);

				// Return the stream as a string
				return sw.ToString();
			}
		}
	}
}
