﻿using System;
using System.Collections.Generic;
using System.Text;
using MyContacts;

namespace ContactsList
{
	class Program
	{
		static void Main(string[] args)
		{
			Contact[] contacts = Contact.GetMyContacts().ToArray();

			//foreach (Contact c in contacts)
			//  Console.WriteLine(c);

			TypeSpecificFilter(contacts);
			//UseGenericFilter(contacts);
			//CountItems(contacts);

			Console.ReadLine();
		}

		public static void TypeSpecificFilter(Contact[] contacts)
		{
			// Filter the list of contacts
			List<Contact> filtered = new List<Contact>();
			foreach (Contact c in contacts)
				if (c.Email.EndsWith("@gmail.com"))
					filtered.Add(c);

			// Show the list
			foreach (Contact c in filtered)
				Console.WriteLine(c);
		}

		private static void CountItems(Contact[] contacts)
		{
			int count = 0;
			
			foreach (Contact c in contacts)
				if (!c.Email.EndsWith("@gmail.com"))
					count++;
			
			Console.WriteLine(count + " contacts not at gmail.com");
		}

		#region Use Generic Filter
		public static void UseGenericFilter(Contact[] contacts)
		{
			IEnumerable<Contact> filtered = Where<Contact>(contacts, new Func<Contact,bool>(MyContactFilterComparer));

			foreach (Contact c in filtered)
				Console.WriteLine(c);
		}

		public static bool MyContactFilterComparer(Contact item)
		{
			return item.Email.EndsWith("@gmail.com");
		}
		#endregion

		#region Generic Where Clause
		public static IEnumerable<T> Where<T>(IEnumerable<T> list, Func<T, bool> compare)
		{
			List<T> filtered = new List<T>();
			foreach (T item in list)
				if (compare(item)) filtered.Add(item);
			return filtered;
		}
		#endregion
	}
}
