﻿using System;
using System.IO;
using System.Data.SqlClient;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SQLStatement
{
	class Program
	{
		static void Main(string[] args)
		{
			string dbpath = Path.GetFullPath(Path.Combine(System.Environment.CurrentDirectory, @"..\..\..\..\..\Common\NORTHWND.MDF"));
			SqlConnection con = new SqlConnection(@"Data Source=.\SQLExpress;Integrated Security=True;User Instance=True;AttachDBFilename=" + dbpath);
			con.Open();
			
			SqlCommand cmd = new SqlCommand(
				@"SELECT c.ContactName, c.Phone
       FROM Customers AS c
       WHERE c.City = @p0", con);
			
			cmd.Parameters.Add(new SqlParameter("@p0", "London"));
			
			SqlDataReader dr = cmd.ExecuteReader();
			
			while (dr.Read())
			{
				string name = dr.GetString(0);
				string phone = dr.GetString(1);

				Console.WriteLine("{0,-18} {1}", name, phone);
			}
			
			dr.Close();
			con.Close();

			Console.ReadLine();
		}
	}
}
